"""
URL configuration for coi project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings
from report.views import coi_view


urlpatterns = [
    path("admin/", admin.site.urls),
    # path('', coi_view, name='home'),
    path('', include('dashboard.urls')),  # include dashboard app's urls
    path('report/', include('report.urls')),  # Include report app's URLs
    path('sysadmin/', include('sysadmin.urls')),  # Include sysadmin app's URLs
    path('legacy/', include('legacy.urls')),  # Include legacy app's URLs
    path("__reload__/", include("django_browser_reload.urls")),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
